 /*
  * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
  * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
  */
/*
 * $Id: NoopTransactionWrapper.java 62592 2011-04-20 20:07:16Z kgrucci $
 */

package com.sun.ts.tests.common.vehicle.ejb3share;

import javax.persistence.EntityTransaction;

final public class NoopTransactionWrapper implements EntityTransaction {
    
    public NoopTransactionWrapper() {}
    
    public void rollback() {
    }

    public boolean isActive() {
        return true;
    }

    public void commit() {
    }

    public void begin() {
    }

    public void setRollbackOnly() {
    }

    public boolean getRollbackOnly() {
        return false;
    }
}
